Bug 861764 - [iwlwifi]: WARNING: iwl_grab_nic_access
[iwlwifi]: WARNING: iwl_grab_nic_access
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Stanislaw Gruszka
Fedora Extras Quality Assurance
abrt_hash:d633058e6d942f15ba4a68beec7...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-30 11:29 EDT by Hemant Wadhwani
Modified: 2012-11-02 11:13 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-02 11:13:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Hemant Wadhwani 2012-09-30 11:29:54 EDT
Description of problem:
freshly installed F17 on 

BIOS Information
        Vendor: LENOVO
        Version: 6QET45WW (1.15 )
        Release Date: 04/26/2010
        BIOS Revision: 1.21
        Firmware Revision: 1.9

System Information
        Manufacturer: LENOVO
        Product Name: 3680B53
        Version: ThinkPad X201
        Wake-up Type: Power Switch
        SKU Number: Not Specified
        Family: ThinkPad X201

lspci 
00:00.0 Host bridge: Intel Corporation Core Processor DRAM Controller (rev 02)
00:02.0 VGA compatible controller: Intel Corporation Core Processor Integrated Graphics Controller (rev 02)
00:16.0 Communication controller: Intel Corporation 5 Series/3400 Series Chipset HECI Controller (rev 06)
00:16.3 Serial controller: Intel Corporation 5 Series/3400 Series Chipset KT Controller (rev 06)
00:19.0 Ethernet controller: Intel Corporation 82577LM Gigabit Network Connection (rev 06)
00:1a.0 USB Controller: Intel Corporation 5 Series/3400 Series Chipset USB2 Enhanced Host Controller (rev 06)
00:1b.0 Audio device: Intel Corporation 5 Series/3400 Series Chipset High Definition Audio (rev 06)
00:1c.0 PCI bridge: Intel Corporation 5 Series/3400 Series Chipset PCI Express Root Port 1 (rev 06)
00:1c.3 PCI bridge: Intel Corporation 5 Series/3400 Series Chipset PCI Express Root Port 4 (rev 06)
00:1c.4 PCI bridge: Intel Corporation 5 Series/3400 Series Chipset PCI Express Root Port 5 (rev 06)
00:1d.0 USB Controller: Intel Corporation 5 Series/3400 Series Chipset USB2 Enhanced Host Controller (rev 06)
00:1e.0 PCI bridge: Intel Corporation 82801 Mobile PCI Bridge (rev a6)
00:1f.0 ISA bridge: Intel Corporation Mobile 5 Series Chipset LPC Interface Controller (rev 06)
00:1f.2 IDE interface: Intel Corporation 5 Series/3400 Series Chipset 4 port SATA IDE Controller (rev 06)
00:1f.3 SMBus: Intel Corporation 5 Series/3400 Series Chipset SMBus Controller (rev 06)
00:1f.5 IDE interface: Intel Corporation 5 Series/3400 Series Chipset 2 port SATA IDE Controller (rev 06)
00:1f.6 Signal processing controller: Intel Corporation 5 Series/3400 Series Chipset Thermal Subsystem (rev 06)
02:00.0 Network controller: Intel Corporation Centrino Ultimate-N 6300 (rev 35)
ff:00.0 Host bridge: Intel Corporation Core Processor QuickPath Architecture Generic Non-core Registers (rev 02)
ff:00.1 Host bridge: Intel Corporation Core Processor QuickPath Architecture System Address Decoder (rev 02)
ff:02.0 Host bridge: Intel Corporation Core Processor QPI Link 0 (rev 02)
ff:02.1 Host bridge: Intel Corporation Core Processor QPI Physical 0 (rev 02)
ff:02.2 Host bridge: Intel Corporation Core Processor Reserved (rev 02)
ff:02.3 Host bridge: Intel Corporation Core Processor Reserved (rev 02)


WIFI stops working after some time. Once it dies, reboot is the only option it comes back .





Additional info:
libreport version: 2.0.14
abrt_version:   2.0.13
cmdline:        BOOT_IMAGE=/vmlinuz-3.5.4-1.fc17.x86_64 root=/dev/mapper/vg_dhcp193--107-lv_root ro rd.lvm.lv=vg_dhcp193-107/lv_swap rd.md=0 rd.dm=0 SYSFONT=True KEYTABLE=us rd.luks=0 rd.lvm.lv=vg_dhcp193-107/lv_root LANG=en_US.UTF-8 rhgb quiet
kernel:         3.5.4-1.fc17.x86_64

backtrace:
:WARNING: at drivers/net/wireless/iwlwifi/iwl-io.c:127 iwl_grab_nic_access+0x60/0x70 [iwlwifi]()
:Hardware name: 3680B53
:Timeout waiting for hardware access (CSR_GP_CNTRL 0xffffffff)
:Modules linked in: vfat fat fuse ebtable_nat ebtables ipt_MASQUERADE iptable_nat nf_nat xt_CHECKSUM iptable_mangle lockd sunrpc bridge stp llc rfcomm bnep ip6t_REJECT nf_conntrack_ipv4 nf_defrag_ipv4 nf_conntrack_ipv6 nf_defrag_ipv6 xt_state nf_conntrack be2iscsi ip6table_filter iscsi_boot_sysfs ip6_tables bnx2i cnic uio cxgb4i cxgb4 cxgb3i cxgb3 mdio libcxgbi ib_iser rdma_cm ib_addr iw_cm ib_cm ib_sa ib_mad ib_core iscsi_tcp libiscsi_tcp libiscsi scsi_transport_iscsi binfmt_misc snd_hda_codec_hdmi snd_hda_codec_conexant snd_hda_intel snd_hda_codec snd_hwdep arc4 snd_seq snd_seq_device i2c_i801 snd_pcm uvcvideo videobuf2_vmalloc videobuf2_memops videobuf2_core iwlwifi thinkpad_acpi snd_page_alloc snd_timer intel_ips btusb mei videodev media lpc_ich coretemp snd soundcore e1000e mfd_core bluetooth mac80211 cfg80211 rfkill microcode vhost_net tun macvtap macvlan kvm_intel kvm uinput crc32c_intel ghash_clmulni_intel usb_storage wmi i915 video i2c_algo_bit drm_kms_helper
:drm i2c_core [last unloaded: scsi_wait_scan]
:Pid: 810, comm: NetworkManager Not tainted 3.5.4-1.fc17.x86_64 #1
:Call Trace:
: [<ffffffff8105867f>] warn_slowpath_common+0x7f/0xc0
: [<ffffffff81058776>] warn_slowpath_fmt+0x46/0x50
: [<ffffffffa03bb790>] iwl_grab_nic_access+0x60/0x70 [iwlwifi]
: [<ffffffffa03bba31>] iwl_write_prph+0x41/0xa0 [iwlwifi]
: [<ffffffffa03cba6f>] iwl_apm_init+0x13f/0x1e0 [iwlwifi]
: [<ffffffffa03cd0d0>] iwl_trans_pcie_start_fw+0xd0/0xf00 [iwlwifi]
: [<ffffffff810840f5>] ? __wake_up_common+0x55/0x90
: [<ffffffff812c92e5>] ? check_blkcg_changed+0x45/0x130
: [<ffffffff8160cdc5>] ? _raw_spin_unlock_bh+0x15/0x20
: [<ffffffffa03cab1d>] ? iwl_init_notification_wait+0x6d/0xb0 [iwlwifi]
: [<ffffffffa03b50dd>] iwl_load_ucode_wait_alive+0x9d/0x3d0 [iwlwifi]
: [<ffffffff811bbe4a>] ? bvec_alloc_bs+0x6a/0x120
: [<ffffffff8117320f>] ? kmem_cache_alloc_trace+0x12f/0x160
: [<ffffffffa03b4b00>] ? iwl_alloc_all+0x30/0x30 [iwlwifi]
: [<ffffffffa03b5496>] iwl_run_init_ucode+0x86/0xf0 [iwlwifi]
: [<ffffffffa03b4c40>] ? iwl_send_calib_cfg+0xa0/0xa0 [iwlwifi]
: [<ffffffffa03b2550>] iwlagn_mac_start+0xc0/0x220 [iwlwifi]
: [<ffffffffa022a08e>] ieee80211_do_open+0x2ce/0xa60 [mac80211]
: [<ffffffffa022a88d>] ieee80211_open+0x6d/0x80 [mac80211]
: [<ffffffff8150105f>] __dev_open+0x9f/0x100
: [<ffffffff81501321>] __dev_change_flags+0xa1/0x180
: [<ffffffff815014b8>] dev_change_flags+0x28/0x70
: [<ffffffff8150eaea>] do_setlink+0x38a/0xa20
: [<ffffffff815a6a4a>] ? inet6_fill_link_af+0x1a/0x30
: [<ffffffff812ed7a1>] ? nla_parse+0x31/0xe0
: [<ffffffff8150fbbe>] rtnl_newlink+0x37e/0x560
: [<ffffffff8150f3e4>] rtnetlink_rcv_msg+0x114/0x2f0
: [<ffffffff8150f2d0>] ? __rtnl_unlock+0x20/0x20
: [<ffffffff815284f1>] netlink_rcv_skb+0xa1/0xb0
: [<ffffffff8150c715>] rtnetlink_rcv+0x25/0x40
: [<ffffffff81527e6d>] netlink_unicast+0x19d/0x220
: [<ffffffff815281e2>] netlink_sendmsg+0x2f2/0x370
: [<ffffffff814e8188>] sock_sendmsg+0xf8/0x130
: [<ffffffff814e7ffd>] ? sock_recvmsg+0xfd/0x130
: [<ffffffff814e935a>] ? move_addr_to_kernel+0x5a/0xc0
: [<ffffffff814f56a6>] ? verify_iovec+0x56/0xd0
: [<ffffffff814e85cc>] __sys_sendmsg+0x3ac/0x3c0
: [<ffffffff814ea299>] sys_sendmsg+0x49/0x90
: [<ffffffff81614e29>] system_call_fastpath+0x16/0x1b
Comment 1 Hemant Wadhwani 2012-10-01 08:19:42 EDT
Hi,
I have seen this issue  more when connected to VPN.
May be this could help.
Thanks
Hemant
Comment 2 Stanislaw Gruszka 2012-10-08 05:47:33 EDT
I do not have fix for this, but you can try workaround instead of rebooting:
http://bugzilla.intellinuxwireless.org/show_bug.cgi?id=2143#c44
Comment 3 Stanislaw Gruszka 2012-10-19 10:24:51 EDT
Does the workaround from above comment works? Or maybe this problem is fixed by a chance by 3.6 kernel? If not, perhaps updating BIOS of lenovo laptop will help?
Comment 4 Stanislaw Gruszka 2012-11-02 11:13:00 EDT
Closing due to lack of response ...

Note You need to log in before you can comment on or make changes to this bug.